// creator  : weidu.exe (version 23600)
// argument : KHALIP.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~KHALIP~

IF ~  !HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",0)
!InParty("Jaheira")
~ THEN BEGIN 0 // from:
  SAY #16080 /* ~V-v-very well. Though I doubt G-Gorion would approve of me leaving you, I cannot force my company upon you. These choices are yours to make.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END

IF ~  !HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",0)
InParty("Jaheira")
~ THEN BEGIN 1 // from:
  SAY #16081 /* ~V-v-very well. Though I doubt G-Gorion would approve of me leaving you, I cannot force my company upon you. These choices are yours to make. Come Jaheira, we should take our leave for now.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)
ActionOverride("Jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("Jaheira",LeaveParty())
ActionOverride("Jaheira",SetDialogue("JAHEIP"))
~ EXIT
END

IF ~  HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
!InParty("Jaheira")
~ THEN BEGIN 2 // from:
  SAY #16082 /* ~I c-cannot say that I have enjoyed our t-time together, but for the sake of Gorion I will not protest your actions further. If there is anything of him within you, you will ultimately turn out all right... though it does seem doubtful at the moment.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
EscapeArea()
~ EXIT
END

IF ~  HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
InParty("Jaheira")
~ THEN BEGIN 3 // from:
  SAY #16083 /* ~I c-cannot say that I have enjoyed our t-time together, but for the sake of Gorion I will not protest your actions further. If there is anything of him within you, you will ultimately turn out all right... though it does seem doubtful at the moment. Come Jaheira d-darling. We must leave this one to <PRO_HISHER> chosen path.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ChangeAIScript("",DEFAULT)
ActionOverride("Jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("Jaheira",LeaveParty())
ActionOverride("Jaheira",EscapeArea())
LeaveParty()
EscapeArea()
~ EXIT
END

IF ~  !HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",1)
Dead("Jaheira")
~ THEN BEGIN 4 // from:
  SAY #16084 /* ~I-It would seem our paths were destined to c-cross once more. Perhaps we s-should rejoin and continue on as Gorion would have w-wanted.~ */
  IF ~~ THEN REPLY #16089 /* ~I prefer to distance myself from the past, and that means Gorion's as well. Perhaps I shall meet you again, but it shall be on my terms.~ */ GOTO 6
  IF ~~ THEN REPLY #16091 /* ~I would be more than happy to have friends such as you back in my company.~ */ GOTO 7
END

IF ~  !HappinessLT(Myself,UNHAPPY_ANGRY_BOUNDARY)
Global("KickedOut","LOCALS",1)
!Dead("Jaheira")
~ THEN BEGIN 5 // from:
  SAY #16085 /* ~I-It would seem our paths were destined to c-cross once more. Perhaps we s-should rejoin and continue on as Gorion would have w-wanted.~ */
  IF ~~ THEN REPLY #16090 /* ~I prefer to distance myself from the past, and that means Gorion's as well. Perhaps I shall meet you again, but it shall be on my terms.~ */ GOTO 6
  IF ~~ THEN REPLY #16092 /* ~I would be more than happy to have friends such as you back in my company.~ */ GOTO 8
END

IF ~~ THEN BEGIN 6 // from: 5.0 4.0
  SAY #16086 /* ~T-t-that is disappointing, but I s-shall not give up on you, so long as you do not, either.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
ActionOverride("Jaheira",ChangeAIScript("",DEFAULT))
ActionOverride("Jaheira",LeaveParty())
ActionOverride("Jaheira",SetDialogue("JaheiP"))
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 4.1
  SAY #16087 /* ~E-excellent! It shall be as though we were never separated.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 5.1
  SAY #16088 /* ~E-excellent! It shall be as though we were never separated.~ */
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
ActionOverride("Jaheira",JoinParty())
JoinParty()
~ EXIT
END
